Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 500931 - Review Request: emacs-verilog-mode - Verilog mode for Emacs
Summary: Review Request: emacs-verilog-mode - Verilog mode for Emacs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: manuel wolfshant
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 478749
TreeView+ depends on / blocked
 
Reported: 2009-05-14 22:57 UTC by Chitlesh GOORAH
Modified: 2009-08-20 15:00 UTC (History)
2 users (show)

Fixed In Version: 528-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-15 20:19:15 UTC
Type: ---
Embargoed:
wolfy: fedora-review+
j: fedora-cvs+


Attachments (Terms of Use)

Description Chitlesh GOORAH 2009-05-14 22:57:03 UTC
Spec URL: http://chitlesh.fedorapeople.org/RPMS/emacs-verilog-mode.spec
SRPM URL: http://chitlesh.fedorapeople.org/RPMS/emacs-verilog-mode-502-1.fc10.src.rpm
Description:
Verilog-mode.el is a free Verilog mode for Emacs
which provides context-sensitive highlighting,
auto indenting, and provides macro expansion
capabilities to greatly reduce Verilog coding time.

Comment 1 manuel wolfshant 2009-07-28 10:12:16 UTC
Please upgrade to the latest release (unless there is a specific reason to not do it) and I will do a review, I want to see dinotrace in EL-5...

Comment 3 manuel wolfshant 2009-07-30 08:50:56 UTC
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM: emacs-verilog-mode.noarch: W: no-documentation
--> normal, there is none
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [!] License field in the package spec file matches the actual license.
     License type as specified by source file: GPLv3+
     License type as specified by source file: GPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package match the upstream source, as provided in the spec URL.
     SHA1SUM of source file: b05c769ad0a90b823aa017adcbe23e8bd929066c  verilog-mode-528.el.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.
 [x] Final provides and requires are sane.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on:koji scratch build  http://koji.fedoraproject.org/koji/taskinfo?taskID=1565376
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the test passes.


=== Issues ===
1. The license specified by the spec is not correct (GPLv2 instead of GPLv3+)


================
*** APPROVED *** with the condition to fix the license tag before import
================

Comment 4 Chitlesh GOORAH 2009-07-30 09:07:20 UTC
New Package CVS Request
=======================
Package Name: emacs-verilog-mode
Short Description: Verilog mode for Emacs
Owners: chitlesh
Branches: F-10 F-11 EL-5

Comment 5 Jason Tibbitts 2009-07-30 22:54:30 UTC
CVS done.

Comment 6 Fedora Update System 2009-08-02 21:39:54 UTC
emacs-verilog-mode-528-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/emacs-verilog-mode-528-1.el5

Comment 7 Fedora Update System 2009-08-04 02:27:21 UTC
emacs-verilog-mode-528-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update emacs-verilog-mode'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0176

Comment 8 Fedora Update System 2009-08-20 15:00:39 UTC
emacs-verilog-mode-528-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.